﻿@model HDY_20071.Models.Orders

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

<div>
    <h4>Orders</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.customers.CompanyName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.customers.CompanyName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.employees.LastName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.employees.LastName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.shippers.CompanyName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.shippers.CompanyName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.OrderDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.OrderDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.RequiredDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.RequiredDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ShippedDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ShippedDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Freight)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Freight)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ShipName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ShipName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ShipAddress)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ShipAddress)
        </dd>

        @*<dt>
                @Html.DisplayNameFor(model => model.ShipCity)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.ShipCity)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.ShipRegion)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.ShipRegion)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.ShipPostalCode)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.ShipPostalCode)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.ShipCountry)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.ShipCountry)
            </dd>*@




    </dl>


    <hr />
    <h4>Order Item</h4>
    <table class="table table-bordered table-striped">
        <thead>
            <tr>
                <th>Product Name</th>
                <th>price</th>
                <th>Quantity</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    @Html.DropDownList("ProductId", (SelectList)ViewBag.Products, htmlAttributes: new { @class = "form-control", @onChange = "handlerSelectedChange()" })
                </td>
                <td>
                    @Html.DropDownList("Product1", (SelectList)ViewBag.Products1, htmlAttributes: new { @class = "form-control", @onChange = "handlerSelectedChange()", @disabled = true })

                </td>
                <td>
                    <input id="txtQuantity" type="number" class="form-control" />
                </td>
                <td><button id="btnAdd" type="button" class="btn btn-sm btn-success"> Add </button></td>
            </tr>
        </tbody>
    </table>


    <div id="tbl"></div>
    <h4>Order Item 2</h4>
    <table class="table table-bordered table-striped">
        <thead>
            <tr>
                <th>No.</th>
                <th>Product</th>
                <th>Price</th>
                <th>Quantity</th>
                <th>Total</th>
            </tr>
        </thead>
        <tbody>
            @{ int row = 0; }
            @foreach (var itm in Model.OrderItem)
            {
                <tr>
                    <td>@(++row)</td>
                    <td>@itm.Products.ProductName</td>
                    <td>@itm.Products.UnitPrice</td>
                    <td>@itm.Quantity</td>
                    <td>@itm.Total.ToString("n2")</td>

                </tr>
            }
        </tbody>
        <tfoot>
            <tr>
                <td colspan="3"></td>
                <td>Sub Total.</td>
                <td class="text-right">@Model.SubTotal</td>
            </tr>

            <tr>
                <td colspan="3"></td>
                <td>Vat 7%</td>
                <td class="text-right">@Model.VatAmount</td>
            </tr>

            <tr>
                <td colspan="3"></td>
                <td>Net Total.</td>
                <td class="text-right">@Model.NetTotal</td>
            </tr>
        </tfoot>
    </table>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.OrderID }) |
    @Html.ActionLink("Back to List", "Index")
</p>
@section Scripts {
    <script type="text/javascript">
        updateUI();

        $("#btnAdd").click(() => {
            addOrderItem();
        })

        function handlerSelectedChange() {
            let products = $("#ProductId").val();
            console.log(products);
            $("#Product1").val(products).change;

        }

        function addOrderItem() {
            const url = '@Url.Action("AddOrderDetail", "Orders", new { id = Model.OrderID })';

            let data = {
                productId: $("#ProductId").val(),
                quantity: $("#txtQuantity").val(),
            }
            console.log(data);
            $.post(url, data).then((res) => {
                updateUI();
                $("#txtQuantity").val("");
            })
        }

        function updateUI() {
            const url = '@Url.Action("GetOrderDetail", "Orders", new { id = Model.OrderID })';

            $.get(url).then((res) => {
                $("#tbl").html(res);
            });
        }
    </script>
}

